insert into webguiVersion values ('3.8.0','upgrade',unix_timestamp());
INSERT INTO settings VALUES ('richEditor','built-in');
INSERT INTO international VALUES (495,'WebGUI','English','Built-In Editor');
INSERT INTO international VALUES (496,'WebGUI','English','Editor To Use');
INSERT INTO international VALUES (494,'WebGUI','English','Real Objects Edit-On Pro');
INSERT INTO international VALUES (497,'WebGUI','English','Start Date');
INSERT INTO international VALUES (498,'WebGUI','English','End Date');
INSERT INTO international VALUES (499,'WebGUI','English','Wobject ID');

INSERT INTO groups VALUES (7,'Everyone','A group that automatically includes all users including Visitors.',314496000);
update Poll set voteGroup=7 where voteGroup=1;

DELETE FROM help WHERE helpId=1 AND namespace='SQLReport' AND language='English' ;
INSERT INTO help VALUES (1,'SQLReport','English','Add/Edit','SQL Report','SQL Reports are perhaps the most powerful widget in the WebGUI arsenal. They allow a user to query data from any database that they have access to. This is great for getting sales figures from your Accounting database or even summarizing all the message boards on your web site.\r\n<p>\r\n\r\n<b>Title</b><br>\r\nThe title of this report.\r\n<p>\r\n\r\n<b>Display the title?</b><br>\r\nDo you wish to disply the title?\r\n<p>\r\n\r\n<b>Process macros?</b><br>\r\nDo you wish to process WebGUI macros? Unchecking this box will not process macros and will speed up page execution.\r\n<p>\r\n\r\n<b>Position</b><br>\r\nSelect the position in the current page template where this widget should be placed.\r\n<p>\r\n\r\n<b>Description</b><br>\r\nDescribe the content of this report so your users will better understand what the report is all about.\r\n<p>\r\n\r\n<b>Preprocess macros on query?</b><br>\r\nIf you\'re using WebGUI macros in your query you\'ll want to check this box.\r\n<p>\r\n\r\n<b>Debug?</b><br>\r\nIf you want to display debugging and error messages on the page, check this box.\r\n<p>\r\n\r\n<b>Query</b><br>\r\nThis is a standard SQL query. If you are unfamiliar with SQL, <a href=\"http://www.plainblack.com\">Plain Black Software</a> provides training courses in SQL and database management. You can make your queries more dynamic by using the ^FormParam(); macro.\r\n<p>\r\n\r\n<b>Template</b><br>\r\nLayout a template of how this report should look. Usually you\'ll use HTML tables to generate a report. An example is included below. If you leave this field blank a template will be generated based on your result set.\r\n<p>\r\n\r\nThere are special macro characters used in generating SQL Reports. They are ^-;, ^0;, ^1;, ^2;, ^3;, etc. These macros will be processed regardless of whether you checked the process macros box above. The ^- macro represents split points in the document where the report will begin and end looping. The numeric macros represent the data fields that will be returned from your query. There is an additional macro, ^rownum; that counts the rows of the query starting at 1 for use where the lines of the output need to be numbered.\r\n<p>\r\n<pre>\r\n<i>Sample Template:</i>\r\n&lt;table&gt;\r\n&lt;tr&gt;&lt;th&gt;Employee Name&lt;/th&gt;&lt;th&gt;Employee #&lt;/th&gt;&lt;th&gt;Vacation Days Remaining&lt;/th&gt;&lt;th&gt;Monthly Salary&lt;/th&gt;&lt;/tr&gt;\r\n^-;\r\n&lt;tr&gt;&lt;td&gt;^0;&lt;/td&gt;&lt;td&gt;^1;&lt;/td&gt;&lt;td&gt;^2;&lt;/td&gt;&lt;td&gt;^3;&lt;/td&gt;&lt;/tr&gt;\r\n^-;\r\n&lt;/table&gt;\r\n</pre>\r\n<b>DSN</b><br>\r\n<b>D</b>ata <b>S</b>ource <b>N</b>ame is the unique identifier that Perl uses to describe the location of your database. It takes the format of DBI:[driver]:[database name]:[host]. \r\n<p>\r\n\r\n<i>Example:</i> DBI:mysql:WebGUI:localhost\r\n<p>\r\n\r\n<b>Database User</b>\r\nThe username you use to connect to the DSN.\r\n<p>\r\n\r\n<b>Database Password</b>\r\nThe password you use to connect to the DSN.\r\n<p>\r\n\r\n<b>Paginate After</b>\r\nHow many rows should be displayed before splitting the results into separate pages? In other words, how many rows should be displayed per page?\r\n<p>\r\n\r\n<b>Convert carriage returns?</b>\r\nDo you wish to convert the carriage returns in the resultant data to HTML breaks (&lt;br&gt;).\r\n','1,2,3,4,5');

CREATE TABLE wobject (
  wobjectId int(11) NOT NULL default '0',
  pageId int(11) default NULL,
  namespace varchar(35) default NULL,
  sequenceNumber int(11) NOT NULL default '1',
  title varchar(255) default NULL,
  displayTitle int(11) NOT NULL default '1',
  description text,
  processMacros int(11) NOT NULL default '0',
  dateAdded int(11) default NULL,
  addedBy int(11) default NULL,
  lastEdited int(11) default NULL,
  editedBy int(11) default NULL,
  templatePosition char(1) NOT NULL default 'A',
  startDate int,
  endDate int,
  PRIMARY KEY  (wobjectId)
);

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='Item';
delete from widget where namespace='Item';
alter table Item drop column description;
alter table Item change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='FAQ';
delete from widget where namespace='FAQ';
alter table FAQ change widgetId wobjectId int not null;
alter table FAQ_question change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='SiteMap';
delete from widget where namespace='SiteMap';
alter table SiteMap change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='Poll';
delete from widget where namespace='Poll';
alter table Poll change widgetId wobjectId int not null;
alter table Poll_answer change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='LinkList';
delete from widget where namespace='LinkList';
alter table LinkList_link change widgetId wobjectId int not null;
alter table LinkList change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='DownloadManager';
delete from widget where namespace='DownloadManager';
alter table DownloadManager change widgetId wobjectId int not null;
alter table DownloadManager_file change widgetId wobjectId int not null;
delete from international where internationalId=13 and namespace='DownloadManager';
INSERT INTO international VALUES (22,'DownloadManager','English','Proceed to add download?');

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='MessageBoard';
delete from widget where namespace='MessageBoard';
alter table MessageBoard change widgetId wobjectId int not null;
alter table discussion change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='ExtraColumn';
delete from widget where namespace='ExtraColumn';
alter table ExtraColumn change widgetId wobjectId int not null;

alter table wobject change description description mediumtext;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widget.widgetId, widget.pageId, widget.title, widget.displayTitle, widget.processMacros, Article.body, widget.dateAdded, widget.addedBy, widget.namespace, widget.lastEdited, widget.editedBy, widget.templatePosition, widget.sequenceNumber, Article.startDate, Article.endDate from widget,Article where widget.widgetId=Article.widgetId;
delete from widget where namespace='Article';
alter table Article change widgetId wobjectId int not null;
alter table Article drop column startDate;
alter table Article drop column endDate;
alter table Article drop column body;
delete from international where internationalId=2 and namespace='Article';
delete from international where internationalId=5 and namespace='Article';
update international set message='(Select \"Yes\" only if you aren\'t adding &lt;br&gt; manually.)' where internationalId='11' and namespace='Article' and language='English';


insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='SyndicatedContent';
delete from widget where namespace='SyndicatedContent';
alter table SyndicatedContent change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='UserSubmission';
delete from widget where namespace='UserSubmission';
delete from international where internationalId=36 and namespace='UserSubmission';
alter table UserSubmission change widgetId wobjectId int not null;
alter table UserSubmission_submission change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='SQLReport';
delete from widget where namespace='SQLReport';
alter table SQLReport change widgetId wobjectId int not null;

insert into wobject (wobjectId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, startDate, endDate) select widgetId, pageId, title, displayTitle, processMacros, description, dateAdded, addedBy, namespace, lastEdited, editedBy, templatePosition, sequenceNumber, dateAdded, 1336444487 from widget where namespace='EventsCalendar';
delete from widget where namespace='EventsCalendar';
alter table EventsCalendar change widgetId wobjectId int not null;
alter table EventsCalendar_event change widgetId wobjectId int not null;

update incrementer set incrementerId='wobjectId' where incrementerId='widgetId';

INSERT INTO international VALUES (21,'EventsCalendar','English','Proceed to add event?');
INSERT INTO international VALUES (20,'EventsCalendar','English','Add an event.');
INSERT INTO international VALUES (38,'UserSubmission','English','(Select \"No\" if you\'re writing an HTML/Rich Edit submission.)');
update international set message='Select \"Yes\" to change all the pages under this page to this style.' where internationalId='106' and namespace='WebGUI' and language='English';
update international set message='Select \"Yes\" to change the privileges of all pages under this page to these privileges.' where internationalId='116' and namespace='WebGUI' and language='English';
INSERT INTO international VALUES (500,'WebGUI','English','Page ID');
delete from international where internationalId=98 and namespace='WebGUI';
delete from international where internationalId=1 and namespace='MessageBoard';
delete from international where internationalId=1 and namespace='SiteMap';
delete from international where internationalId=2 and namespace='Article';
delete from international where internationalId=2 and namespace='ExtraColumn';
delete from international where internationalId=2 and namespace='Poll';
delete from international where internationalId=2 and namespace='SQLReport';
delete from international where internationalId=3 and namespace='EventsCalendar';
delete from international where internationalId=3 and namespace='FAQ';
delete from international where internationalId=3 and namespace='SyndicatedContent';
delete from international where internationalId=4 and namespace='FAQ';
delete from international where internationalId=7 and namespace='EventsCalendar';
delete from international where internationalId=7 and namespace='LinkList';
delete from international where internationalId=11 and namespace='LinkList';
delete from international where internationalId=11 and namespace='UserSubmission';
delete from international where internationalId=30 and namespace='UserSubmission';
delete from international where internationalId=2 and namespace='DownloadManager';
delete from international where internationalId=4 and namespace='DownloadManager';

delete from international where language='Svenska';
INSERT INTO international VALUES (367,'WebGUI','Svenska','Bst fre'); 
INSERT INTO international VALUES (1,'Article','Svenska','Artikel'); 
INSERT INTO international VALUES (1,'EventsCalendar','Svenska','Fortstt med att lgga till en hndelse?'); 
INSERT INTO international VALUES (1,'ExtraColumn','Svenska','Extra Column'); 
INSERT INTO international VALUES (1,'FAQ','Svenska','Fortstt med att lgga till en frga?'); 
INSERT INTO international VALUES (1,'Item','Svenska','Lnk URL'); 
INSERT INTO international VALUES (1,'LinkList','Svenska','Indentering'); 
INSERT INTO international VALUES (1,'MessageBoard','Svenska','Lggtill Meddelande Forum'); 
INSERT INTO international VALUES (1,'Poll','Svenska','Frga'); 
INSERT INTO international VALUES (1,'SiteMap','Svenska','Lggtill Site Karta'); 
INSERT INTO international VALUES (1,'SQLReport','Svenska','SQL Rapport'); 
INSERT INTO international VALUES (1,'SyndicatedContent','Svenska','URL till RSS filen'); 
INSERT INTO international VALUES (1,'UserSubmission','Svenska','Vem kan validera?'); 
INSERT INTO international VALUES (1,'WebGUI','Svenska','Lgg till innehll....'); 
INSERT INTO international VALUES (2,'Article','Svenska','Lgg till artikel'); 
INSERT INTO international VALUES (2,'EventsCalendar','Svenska','Hndelse Kalender'); 
INSERT INTO international VALUES (2,'ExtraColumn','Svenska','Lgg till Extra Column'); 
INSERT INTO international VALUES (2,'FAQ','Svenska','F.A.Q.'); 
INSERT INTO international VALUES (2,'Item','Svenska','Bilagor'); 
INSERT INTO international VALUES (2,'LinkList','Svenska','Avstnd mellan rader'); 
INSERT INTO international VALUES (2,'MessageBoard','Svenska','Meddelande Forum'); 
INSERT INTO international VALUES (2,'Poll','Svenska','Lgg till frga'); 
INSERT INTO international VALUES (2,'SiteMap','Svenska','Site Karta'); 
INSERT INTO international VALUES (2,'SQLReport','Svenska','Lgg till SQL rapport'); 
INSERT INTO international VALUES (2,'SyndicatedContent','Svenska','Syndicated inehll'); 
INSERT INTO international VALUES (2,'UserSubmission','Svenska','Vem kan gra inlgg?'); 
INSERT INTO international VALUES (2,'WebGUI','Svenska','Sida'); 
INSERT INTO international VALUES (3,'Article','Svenska','Start datum'); 
INSERT INTO international VALUES (3,'EventsCalendar','Svenska','Lgg till hndelse kalender'); 
INSERT INTO international VALUES (3,'ExtraColumn','Svenska','Mellanrumm'); 
INSERT INTO international VALUES (3,'FAQ','Svenska','Lgg till F.A.Q.'); 
INSERT INTO international VALUES (3,'LinkList','Svenska','ppna i ny ruta?'); 
INSERT INTO international VALUES (3,'MessageBoard','Svenska','Vem kan posta?'); 
INSERT INTO international VALUES (3,'Poll','Svenska','Aktiv'); 
INSERT INTO international VALUES (3,'SiteMap','Svenska','Starta frn denna niv?'); 
INSERT INTO international VALUES (3,'SQLReport','Svenska','Rapport Mall'); 
INSERT INTO international VALUES (3,'SyndicatedContent','Svenska','Lgg till Syndicated inehll'); 
INSERT INTO international VALUES (3,'UserSubmission','Svenska','Du har ett nytt medelande att validera.'); 
INSERT INTO international VALUES (3,'WebGUI','Svenska','Klistra in frn klippbord...'); 
INSERT INTO international VALUES (4,'Article','Svenska','Slut datum'); 
INSERT INTO international VALUES (4,'EventsCalendar','Svenska','Intrffar endast en gng.'); 
INSERT INTO international VALUES (4,'ExtraColumn','Svenska','Bredd'); 
INSERT INTO international VALUES (4,'FAQ','Svenska','Lgg till frga'); 
INSERT INTO international VALUES (4,'Item','Svenska','Post'); 
INSERT INTO international VALUES (4,'LinkList','Svenska','Kula'); 
INSERT INTO international VALUES (4,'MessageBoard','Svenska','Meddelanden per sida'); 
INSERT INTO international VALUES (4,'Poll','Svenska','Vem kan rsta?'); 
INSERT INTO international VALUES (4,'SiteMap','Svenska','Niver att traversera'); 
INSERT INTO international VALUES (4,'SQLReport','Svenska','Query'); 
INSERT INTO international VALUES (4,'SyndicatedContent','Svenska','Redigera Syndicated inehll'); 
INSERT INTO international VALUES (4,'UserSubmission','Svenska','Ditt medelande har blivit validerat.'); 
INSERT INTO international VALUES (4,'WebGUI','Svenska','Kontrolera instllningar.'); 
INSERT INTO international VALUES (5,'Article','Svenska','Body'); 
INSERT INTO international VALUES (5,'EventsCalendar','Svenska','Dag'); 
INSERT INTO international VALUES (5,'ExtraColumn','Svenska','StyleSheet Class'); 
INSERT INTO international VALUES (5,'FAQ','Svenska','Frga'); 
INSERT INTO international VALUES (5,'Item','Svenska','Ladda ned bilaga'); 
INSERT INTO international VALUES (5,'LinkList','Svenska','Fortstt med att lgga till en lnk?'); 
INSERT INTO international VALUES (5,'MessageBoard','Svenska','Redigera Timeout'); 
INSERT INTO international VALUES (5,'Poll','Svenska','Bred p staplar'); 
INSERT INTO international VALUES (5,'SiteMap','Svenska','Redigera Site Kartan'); 
INSERT INTO international VALUES (5,'SQLReport','Svenska','DSN'); 
INSERT INTO international VALUES (5,'SyndicatedContent','Svenska','Senast hmtad'); 
INSERT INTO international VALUES (5,'UserSubmission','Svenska','Ditt medelande har blivit nekat validering.'); 
INSERT INTO international VALUES (5,'WebGUI','Svenska','Kontrolera grupper.'); 
INSERT INTO international VALUES (6,'Article','Svenska','Bild'); 
INSERT INTO international VALUES (6,'EventsCalendar','Svenska','Vecka'); 
INSERT INTO international VALUES (6,'ExtraColumn','Svenska','Lgg till extra column'); 
INSERT INTO international VALUES (6,'FAQ','Svenska','Svar'); 
INSERT INTO international VALUES (6,'LinkList','Svenska','Lnk Lista'); 
INSERT INTO international VALUES (6,'MessageBoard','Svenska','Redigera Meddelande Forum'); 
INSERT INTO international VALUES (6,'Poll','Svenska','Frga'); 
INSERT INTO international VALUES (6,'SiteMap','Svenska','Indentering'); 
INSERT INTO international VALUES (6,'SQLReport','Svenska','Database Anvndare'); 
INSERT INTO international VALUES (6,'SyndicatedContent','Svenska','Nuvarande inehll'); 
INSERT INTO international VALUES (6,'UserSubmission','Svenska','Inlgg per sida'); 
INSERT INTO international VALUES (6,'WebGUI','Svenska','Kontrolera stilar.'); 
INSERT INTO international VALUES (7,'Article','Svenska','Lnk Titel'); 
INSERT INTO international VALUES (7,'EventsCalendar','Svenska','Lgg till hndelse'); 
INSERT INTO international VALUES (7,'FAQ','Svenska','r du sker p att du vill radera denna frga?'); 
INSERT INTO international VALUES (7,'LinkList','Svenska','Lgg till lnk'); 
INSERT INTO international VALUES (7,'MessageBoard','Svenska','Frfattare:'); 
INSERT INTO international VALUES (7,'Poll','Svenska','Svar'); 
INSERT INTO international VALUES (7,'SiteMap','Svenska','Kula'); 
INSERT INTO international VALUES (7,'SQLReport','Svenska','Database Lsenord'); 
INSERT INTO international VALUES (7,'UserSubmission','Svenska','Godknnt'); 
INSERT INTO international VALUES (7,'WebGUI','Svenska','Kontrolera anvndare.'); 
INSERT INTO international VALUES (8,'Article','Svenska','Lnk URL'); 
INSERT INTO international VALUES (8,'EventsCalendar','Svenska','Recurs every'); 
INSERT INTO international VALUES (8,'FAQ','Svenska','Redigera F.A.Q.'); 
INSERT INTO international VALUES (8,'LinkList','Svenska','URL'); 
INSERT INTO international VALUES (8,'MessageBoard','Svenska','Datum:'); 
INSERT INTO international VALUES (8,'Poll','Svenska','(Mata in ett svar per rad. Max 20.)'); 
INSERT INTO international VALUES (8,'SiteMap','Svenska','Avstnd mellan rader'); 
INSERT INTO international VALUES (8,'SQLReport','Svenska','Redigera SQL Rapport'); 
INSERT INTO international VALUES (8,'UserSubmission','Svenska','Nekat'); 
INSERT INTO international VALUES (8,'WebGUI','Svenska','Visa page not found.'); 
INSERT INTO international VALUES (9,'Article','Svenska','Bilagor'); 
INSERT INTO international VALUES (9,'EventsCalendar','Svenska','until'); 
INSERT INTO international VALUES (9,'FAQ','Svenska','Lgg till ny frga.'); 
INSERT INTO international VALUES (9,'LinkList','Svenska','r du sker att du vill radera denna lnk?'); 
INSERT INTO international VALUES (9,'MessageBoard','Svenska','Meddelande ID:'); 
INSERT INTO international VALUES (9,'Poll','Svenska','Redigera frga'); 
INSERT INTO international VALUES (9,'SQLReport','Svenska','&lt;b&gt;Debug:&lt;/b&gt; Error: The DSN specified is of an improper format.'); 
INSERT INTO international VALUES (9,'UserSubmission','Svenska','Vntande'); 
INSERT INTO international VALUES (9,'WebGUI','Svenska','Visa klippbord.'); 
INSERT INTO international VALUES (10,'Article','Svenska','Konvertera radbrytning?'); 
INSERT INTO international VALUES (10,'EventsCalendar','Svenska','r du sker p att du vill radera denna hndelse'); 
INSERT INTO international VALUES (10,'FAQ','Svenska','Redigera frga'); 
INSERT INTO international VALUES (10,'LinkList','Svenska','Redigera Lnk Lista'); 
INSERT INTO international VALUES (10,'MessageBoard','Svenska','Fregende trd'); 
INSERT INTO international VALUES (10,'Poll','Svenska','terstll rster.'); 
INSERT INTO international VALUES (10,'SQLReport','Svenska','&lt;b&gt;Debug:&lt;/b&gt; Error: The SQL specified is of an improper format.'); 
INSERT INTO international VALUES (10,'UserSubmission','Svenska','Default Status'); 
INSERT INTO international VALUES (10,'WebGUI','Svenska','Hantera skrpkorgen.'); 
INSERT INTO international VALUES (11,'Article','Svenska','(Kryssa i om du inte skriver &amp;lt;br&amp;gt; manuelt.)'); 
INSERT INTO international VALUES (11,'EventsCalendar','Svenska','&lt;b&gt;and&lt;/b&gt; all of its recurring events'); 
INSERT INTO international VALUES (11,'LinkList','Svenska','Lgg till Lnk Lista'); 
INSERT INTO international VALUES (11,'MessageBoard','Svenska','Tillbaka till meddelande lista'); 
INSERT INTO international VALUES (11,'SQLReport','Svenska','&lt;b&gt;Debug:&lt;/b&gt; Error: There was a problem with the query.'); 
INSERT INTO international VALUES (11,'UserSubmission','Svenska','Lgg till inlgg'); 
INSERT INTO international VALUES (11,'WebGUI','Svenska','Tm skrpkoren.'); 
INSERT INTO international VALUES (12,'Article','Svenska','Redigera Artikel'); 
INSERT INTO international VALUES (12,'EventsCalendar','Svenska','Edit Events Calendar'); 
INSERT INTO international VALUES (12,'LinkList','Svenska','Redigera Lnk'); 
INSERT INTO international VALUES (12,'MessageBoard','Svenska','Redigera meddelande'); 
INSERT INTO international VALUES (12,'SQLReport','Svenska','&lt;b&gt;Debug:&lt;/b&gt; Error: Could not connect to the database.'); 
INSERT INTO international VALUES (12,'UserSubmission','Svenska','(Avkryssa om du skriver ett HTML inlgg.)'); 
INSERT INTO international VALUES (12,'WebGUI','Svenska','Stng av adminverktyg.'); 
INSERT INTO international VALUES (13,'Article','Svenska','Radera'); 
INSERT INTO international VALUES (13,'EventsCalendar','Svenska','Lgg till hndelse'); 
INSERT INTO international VALUES (13,'LinkList','Svenska','Lgg till en ny lnk.'); 
INSERT INTO international VALUES (13,'MessageBoard','Svenska','Skicka svar'); 
INSERT INTO international VALUES (13,'UserSubmission','Svenska','Inlagt den'); 
INSERT INTO international VALUES (13,'WebGUI','Svenska','Visa hjlpindex.'); 
INSERT INTO international VALUES (14,'Article','Svenska','Justera Bild'); 
INSERT INTO international VALUES (14,'MessageBoard','Svenska','Nsta trd'); 
INSERT INTO international VALUES (14,'UserSubmission','Svenska','Status'); 
INSERT INTO international VALUES (14,'WebGUI','Svenska','Visa vntande meddelanden.'); 
INSERT INTO international VALUES (15,'MessageBoard','Svenska','Frfattare'); 
INSERT INTO international VALUES (15,'UserSubmission','Svenska','Redigera/Ta bort'); 
INSERT INTO international VALUES (15,'WebGUI','Svenska','Januari'); 
INSERT INTO international VALUES (16,'MessageBoard','Svenska','Datum'); 
INSERT INTO international VALUES (16,'UserSubmission','Svenska','Namnls'); 
INSERT INTO international VALUES (16,'WebGUI','Svenska','Februari'); 
INSERT INTO international VALUES (17,'MessageBoard','Svenska','Skicka nytt meddelande'); 
INSERT INTO international VALUES (17,'UserSubmission','Svenska','r du sger du vill ta bort detta inlgg?'); 
INSERT INTO international VALUES (17,'WebGUI','Svenska','Mars'); 
INSERT INTO international VALUES (18,'MessageBoard','Svenska','Trd startad'); 
INSERT INTO international VALUES (18,'UserSubmission','Svenska','Regigera inlggs system'); 
INSERT INTO international VALUES (18,'WebGUI','Svenska','April'); 
INSERT INTO international VALUES (19,'MessageBoard','Svenska','Svar'); 
INSERT INTO international VALUES (19,'UserSubmission','Svenska','Redigera inlgg'); 
INSERT INTO international VALUES (19,'WebGUI','Svenska','Maj'); 
INSERT INTO international VALUES (20,'MessageBoard','Svenska','Senaste svar'); 
INSERT INTO international VALUES (20,'UserSubmission','Svenska','Skicka nytt inlgg'); 
INSERT INTO international VALUES (20,'WebGUI','Svenska','Juni'); 
INSERT INTO international VALUES (21,'UserSubmission','Svenska','Skrivet av'); 
INSERT INTO international VALUES (21,'WebGUI','Svenska','Juli'); 
INSERT INTO international VALUES (22,'UserSubmission','Svenska','Skrivet av:'); 
INSERT INTO international VALUES (22,'WebGUI','Svenska','Augusti'); 
INSERT INTO international VALUES (23,'UserSubmission','Svenska','Inlggsdatum:'); 
INSERT INTO international VALUES (23,'WebGUI','Svenska','September'); 
INSERT INTO international VALUES (24,'UserSubmission','Svenska','Godknn'); 
INSERT INTO international VALUES (24,'WebGUI','Svenska','Oktober'); 
INSERT INTO international VALUES (25,'UserSubmission','Svenska','Lmna i vntelge'); 
INSERT INTO international VALUES (25,'WebGUI','Svenska','November'); 
INSERT INTO international VALUES (26,'UserSubmission','Svenska','Neka'); 
INSERT INTO international VALUES (26,'WebGUI','Svenska','December'); 
INSERT INTO international VALUES (27,'UserSubmission','Svenska','Redigera'); 
INSERT INTO international VALUES (27,'WebGUI','Svenska','Sndag'); 
INSERT INTO international VALUES (28,'UserSubmission','Svenska','terg till inlggslistan'); 
INSERT INTO international VALUES (28,'WebGUI','Svenska','Mndag'); 
INSERT INTO international VALUES (29,'UserSubmission','Svenska','Anvndar-inlggs system'); 
INSERT INTO international VALUES (29,'WebGUI','Svenska','Tisdag'); 
INSERT INTO international VALUES (30,'UserSubmission','Svenska','Lggtill anvnda-inlggs system'); 
INSERT INTO international VALUES (30,'WebGUI','Svenska','Onsdag'); 
INSERT INTO international VALUES (31,'WebGUI','Svenska','Torsdag'); 
INSERT INTO international VALUES (32,'WebGUI','Svenska','Fredag'); 
INSERT INTO international VALUES (33,'WebGUI','Svenska','Lrdag'); 
INSERT INTO international VALUES (34,'WebGUI','Svenska','stt datum'); 
INSERT INTO international VALUES (35,'WebGUI','Svenska','Administrativa funktioner'); 
INSERT INTO international VALUES (36,'WebGUI','Svenska','Du mste vara administratr fr att utfra denna funktion. Var vnlig kontakta ngon av administratrerna. Fljande r en lista av administratrer i systemet:'); 
INSERT INTO international VALUES (37,'WebGUI','Svenska','tkomst nekas!'); 
INSERT INTO international VALUES (404,'WebGUI','Svenska','Frsta Sidan'); 
INSERT INTO international VALUES (38,'WebGUI','Svenska','Du har inte rttigheter att utfra denna operation. Var vnlig och ^a(logga in); p ett konto med tillrckliga rttigheter.'); 
INSERT INTO international VALUES (39,'WebGUI','Svenska','tkomst nekas, du har inte tillrckliga previlegier.'); 
INSERT INTO international VALUES (40,'WebGUI','Svenska','Vital komponent'); 
INSERT INTO international VALUES (41,'WebGUI','Svenska','Du hller p att ta bort en vital komponent frn WebGUI systemet. Om du hade varit tillten att gra detta, hade WebGUI slutat fungera !'); 
INSERT INTO international VALUES (42,'WebGUI','Svenska','Var vnlig konfirmera'); 
INSERT INTO international VALUES (43,'WebGUI','Svenska','r du sker att du vill ta bort detta inehll?'); 
INSERT INTO international VALUES (44,'WebGUI','Svenska','Ja, jag r sker.'); 
INSERT INTO international VALUES (45,'WebGUI','Svenska','Nej, jag gjorde ett misstag.'); 
INSERT INTO international VALUES (46,'WebGUI','Svenska','Mitt konto'); 
INSERT INTO international VALUES (47,'WebGUI','Svenska','Hem'); 
INSERT INTO international VALUES (48,'WebGUI','Svenska','Hej'); 
INSERT INTO international VALUES (49,'WebGUI','Svenska','Klicka &lt;a href=unknown://\"^\\;?op=logout\" TARGET="_blank"&gt;hr&lt;/a&gt; fr att logga ur.'); 
INSERT INTO international VALUES (50,'WebGUI','Svenska','Anvndarnamn'); 
INSERT INTO international VALUES (51,'WebGUI','Svenska','Lsenord'); 
INSERT INTO international VALUES (52,'WebGUI','Svenska','logga in'); 
INSERT INTO international VALUES (53,'WebGUI','Svenska','Utskrifts version'); 
INSERT INTO international VALUES (54,'WebGUI','Svenska','Skapa konto'); 
INSERT INTO international VALUES (55,'WebGUI','Svenska','Lsenord (kontroll)'); 
INSERT INTO international VALUES (56,'WebGUI','Svenska','Email adress'); 
INSERT INTO international VALUES (57,'WebGUI','Svenska','Detta krvs endas om du vill anvnda tjnster som krver Email.'); 
INSERT INTO international VALUES (58,'WebGUI','Svenska','Jag har redan ett konto.'); 
INSERT INTO international VALUES (59,'WebGUI','Svenska','Jag har glmt mitt lsenord.'); 
INSERT INTO international VALUES (60,'WebGUI','Svenska','R du sker p att du vill stnga ned ditt konto ? Om du fortstter kommer all information att vara permanent frlorad.'); 
INSERT INTO international VALUES (61,'WebGUI','Svenska','Uppdatera konto information'); 
INSERT INTO international VALUES (62,'WebGUI','Svenska','spara'); 
INSERT INTO international VALUES (63,'WebGUI','Svenska','Sl p admin-verktyg.'); 
INSERT INTO international VALUES (64,'WebGUI','Svenska','Logga ut.'); 
INSERT INTO international VALUES (65,'WebGUI','Svenska','Var vnlig och radera mitt konto permanent.'); 
INSERT INTO international VALUES (66,'WebGUI','Svenska','Logga in.'); 
INSERT INTO international VALUES (67,'WebGUI','Svenska','Skapa ett konto.'); 
INSERT INTO international VALUES (68,'WebGUI','Svenska','Informationen du gav var felaktig. Antingen s finns ingen sdan anvndare eller ocks s gav du fellsenords.'); 
INSERT INTO international VALUES (69,'WebGUI','Svenska','Var vnlig kontakta system administratren fr vidare hjlp.'); 
INSERT INTO international VALUES (70,'WebGUI','Svenska','Fel'); 
INSERT INTO international VALUES (71,'WebGUI','Svenska','Rdda lsenord'); 
INSERT INTO international VALUES (72,'WebGUI','Svenska','rdda'); 
INSERT INTO international VALUES (73,'WebGUI','Svenska','Logga in.'); 
INSERT INTO international VALUES (74,'WebGUI','Svenska','Konto information'); 
INSERT INTO international VALUES (75,'WebGUI','Svenska','Din kontoinformation har skickats till din Email adress.'); 
INSERT INTO international VALUES (76,'WebGUI','Svenska','Den Email adressen finns inte i vrt system.'); 
INSERT INTO international VALUES (77,'WebGUI','Svenska','Det kontonamnet du valde anvnds redan p denna site. Var vnlig vlj ett annat. Hr kommer ngra ideer som du kan anvnda:'); 
INSERT INTO international VALUES (78,'WebGUI','Svenska','Ditt lsenord stmde inte. Var vnlig frsk igen.'); 
INSERT INTO international VALUES (79,'WebGUI','Svenska','Cannot connect to LDAP server.'); 
INSERT INTO international VALUES (80,'WebGUI','Svenska','Kontot skapades utan problem!'); 
INSERT INTO international VALUES (81,'WebGUI','Svenska','Kontot uppdaterat utan problem!'); 
INSERT INTO international VALUES (82,'WebGUI','Svenska','Administrativa funktioner...'); 
INSERT INTO international VALUES (83,'WebGUI','Svenska','Lgg till grupp'); 
INSERT INTO international VALUES (84,'WebGUI','Svenska','Grupp namn'); 
INSERT INTO international VALUES (85,'WebGUI','Svenska','Beskrivning'); 
INSERT INTO international VALUES (86,'WebGUI','Svenska','r du sker p att du vill radera denna grupp? Var medveten om att alla rttigheter associerade med denna grupp kommer att raderas.'); 
INSERT INTO international VALUES (87,'WebGUI','Svenska','ndra grupp'); 
INSERT INTO international VALUES (88,'WebGUI','Svenska','Anvndare i gruppen'); 
INSERT INTO international VALUES (89,'WebGUI','Svenska','Grupper'); 
INSERT INTO international VALUES (90,'WebGUI','Svenska','Lgg till grupp.'); 
INSERT INTO international VALUES (91,'WebGUI','Svenska','Fregende sida'); 
INSERT INTO international VALUES (92,'WebGUI','Svenska','Nsta sida'); 
INSERT INTO international VALUES (93,'WebGUI','Svenska','Hjlp'); 
INSERT INTO international VALUES (94,'WebGUI','Svenska','Se vidare'); 
INSERT INTO international VALUES (95,'WebGUI','Svenska','Hjlp index'); 
INSERT INTO international VALUES (96,'WebGUI','Svenska','Sortera p tgrd'); 
INSERT INTO international VALUES (97,'WebGUI','Svenska','Sortera p objekt'); 
INSERT INTO international VALUES (98,'WebGUI','Svenska','Lgg till sida'); 
INSERT INTO international VALUES (99,'WebGUI','Svenska','Titel'); 
INSERT INTO international VALUES (100,'WebGUI','Svenska','Meta Tag'); 
INSERT INTO international VALUES (101,'WebGUI','Svenska','r du sker p att du vill radera denna sita, dess inehll och underligande objekt?'); 
INSERT INTO international VALUES (102,'WebGUI','Svenska','Editera sida'); 
INSERT INTO international VALUES (103,'WebGUI','Svenska','Sidspecifikation'); 
INSERT INTO international VALUES (104,'WebGUI','Svenska','Sidans URL'); 
INSERT INTO international VALUES (105,'WebGUI','Svenska','Stil'); 
INSERT INTO international VALUES (106,'WebGUI','Svenska','Ge samma stil till underliggande sidor.'); 
INSERT INTO international VALUES (107,'WebGUI','Svenska','Previlegier'); 
INSERT INTO international VALUES (108,'WebGUI','Svenska','gare'); 
INSERT INTO international VALUES (109,'WebGUI','Svenska','garen kan se?'); 
INSERT INTO international VALUES (110,'WebGUI','Svenska','garen kan editera?'); 
INSERT INTO international VALUES (111,'WebGUI','Svenska','Grupp'); 
INSERT INTO international VALUES (112,'WebGUI','Svenska','Gruppen kan se?'); 
INSERT INTO international VALUES (113,'WebGUI','Svenska','Gruppen kan editera?'); 
INSERT INTO international VALUES (114,'WebGUI','Svenska','Vemsomhelst kan titta?'); 
INSERT INTO international VALUES (115,'WebGUI','Svenska','Kan vem som helst redigera?'); 
INSERT INTO international VALUES (116,'WebGUI','Svenska','Kryssa hr fr att kopiera dessa previlegier till undersidor.'); 
INSERT INTO international VALUES (117,'WebGUI','Svenska','Redigera Autentiserings instllningar'); 
INSERT INTO international VALUES (118,'WebGUI','Svenska','Anonyma registreringar'); 
INSERT INTO international VALUES (119,'WebGUI','Svenska','Authentiserings metod(default)'); 
INSERT INTO international VALUES (120,'WebGUI','Svenska','LDAP URL (default)'); 
INSERT INTO international VALUES (121,'WebGUI','Svenska','LDAP Identity (default)'); 
INSERT INTO international VALUES (122,'WebGUI','Svenska','LDAP Identity Name'); 
INSERT INTO international VALUES (123,'WebGUI','Svenska','LDAP Password Name'); 
INSERT INTO international VALUES (124,'WebGUI','Svenska','Edit Company Information'); 
INSERT INTO international VALUES (125,'WebGUI','Svenska','Fretags namn'); 
INSERT INTO international VALUES (126,'WebGUI','Svenska','Fretags Email adress'); 
INSERT INTO international VALUES (127,'WebGUI','Svenska','Fretags URL'); 
INSERT INTO international VALUES (128,'WebGUI','Svenska','Redigera Fil instllningar'); 
INSERT INTO international VALUES (129,'WebGUI','Svenska','Path till WebGUI Extras'); 
INSERT INTO international VALUES (130,'WebGUI','Svenska','Maximal storlek p bilagor'); 
INSERT INTO international VALUES (131,'WebGUI','Svenska','Web Attachment Path'); 
INSERT INTO international VALUES (132,'WebGUI','Svenska','Server Attachment Path'); 
INSERT INTO international VALUES (133,'WebGUI','Svenska','Redigera Mail Instllningar'); 
INSERT INTO international VALUES (134,'WebGUI','Svenska','Rdda lsenords meddelande'); 
INSERT INTO international VALUES (135,'WebGUI','Svenska','SMTP Server'); 
INSERT INTO international VALUES (136,'WebGUI','Svenska','Hemsida'); 
INSERT INTO international VALUES (137,'WebGUI','Svenska','Page Not Found Page'); 
INSERT INTO international VALUES (138,'WebGUI','Svenska','Ja'); 
INSERT INTO international VALUES (139,'WebGUI','Svenska','Nej'); 
INSERT INTO international VALUES (140,'WebGUI','Svenska','Redigera vriga instllningar'); 
INSERT INTO international VALUES (141,'WebGUI','Svenska','Not Found Page'); 
INSERT INTO international VALUES (142,'WebGUI','Svenska','Session Timeout'); 
INSERT INTO international VALUES (143,'WebGUI','Svenska','Kontrolera instllningar'); 
INSERT INTO international VALUES (144,'WebGUI','Svenska','Visa statistik.'); 
INSERT INTO international VALUES (145,'WebGUI','Svenska','WebGUI Build Version'); 
INSERT INTO international VALUES (146,'WebGUI','Svenska','Aktiva sessioner'); 
INSERT INTO international VALUES (147,'WebGUI','Svenska','Sidor'); 
INSERT INTO international VALUES (148,'WebGUI','Svenska','Widgets'); 
INSERT INTO international VALUES (149,'WebGUI','Svenska','Anvndare'); 
INSERT INTO international VALUES (150,'WebGUI','Svenska','Lggtill stil'); 
INSERT INTO international VALUES (151,'WebGUI','Svenska','Stil namn'); 
INSERT INTO international VALUES (152,'WebGUI','Svenska','Header'); 
INSERT INTO international VALUES (153,'WebGUI','Svenska','Footer'); 
INSERT INTO international VALUES (154,'WebGUI','Svenska','Stil schema (Style Sheet)'); 
INSERT INTO international VALUES (155,'WebGUI','Svenska','r du sker p att du vill radera denna stil och vilket resulterar i att alla sidor som anvnder den stilen kommer anvnda \"Fail Safe\" stilen?'); 
INSERT INTO international VALUES (156,'WebGUI','Svenska','Redigera stil'); 
INSERT INTO international VALUES (157,'WebGUI','Svenska','Stilar'); 
INSERT INTO international VALUES (158,'WebGUI','Svenska','Lgg till en ny stil.'); 
INSERT INTO international VALUES (159,'WebGUI','Svenska','Medelande log'); 
INSERT INTO international VALUES (160,'WebGUI','Svenska','Inlagt den'); 
INSERT INTO international VALUES (161,'WebGUI','Svenska','Skrivet av'); 
INSERT INTO international VALUES (162,'WebGUI','Svenska','r du sker p att du vill ta bort allt ur skrpkorgen?'); 
INSERT INTO international VALUES (163,'WebGUI','Svenska','Lgg till anvndare'); 
INSERT INTO international VALUES (164,'WebGUI','Svenska','Autentiserings metod'); 
INSERT INTO international VALUES (165,'WebGUI','Svenska','LDAP URL'); 
INSERT INTO international VALUES (166,'WebGUI','Svenska','Connect DN'); 
INSERT INTO international VALUES (167,'WebGUI','Svenska','r du absolut sker att du vill radera denna anvndare? Var medveten om att all information om denna anvndare kommer att vara permanent frlorade om du fortstter.'); 
INSERT INTO international VALUES (168,'WebGUI','Svenska','Redigera Anvndare'); 
INSERT INTO international VALUES (169,'WebGUI','Svenska','Lgg till en ny anvndare.'); 
INSERT INTO international VALUES (170,'WebGUI','Svenska','sk'); 
INSERT INTO international VALUES (171,'WebGUI','Svenska','rich edit'); 
INSERT INTO international VALUES (174,'WebGUI','Svenska','Visa titel?'); 
INSERT INTO international VALUES (175,'WebGUI','Svenska','Berarbeta makron?'); 
INSERT INTO international VALUES (228,'WebGUI','Svenska','Redigerar Meddelande...'); 
INSERT INTO international VALUES (229,'WebGUI','Svenska','Subject'); 
INSERT INTO international VALUES (230,'WebGUI','Svenska','Meddelande'); 
INSERT INTO international VALUES (231,'WebGUI','Svenska','Skickar nytt meddelande...'); 
INSERT INTO international VALUES (232,'WebGUI','Svenska','no subject'); 
INSERT INTO international VALUES (233,'WebGUI','Svenska','(eom)'); 
INSERT INTO international VALUES (234,'WebGUI','Svenska','Skickar svar...'); 
INSERT INTO international VALUES (237,'WebGUI','Svenska','Subject:'); 
INSERT INTO international VALUES (238,'WebGUI','Svenska','Frfattare:'); 
INSERT INTO international VALUES (239,'WebGUI','Svenska','Datum:'); 
INSERT INTO international VALUES (240,'WebGUI','Svenska','Meddelande ID:'); 
INSERT INTO international VALUES (244,'WebGUI','Svenska','Frfattare'); 
INSERT INTO international VALUES (245,'WebGUI','Svenska','Datum'); 
INSERT INTO international VALUES (304,'WebGUI','Svenska','Sprk'); 
INSERT INTO international VALUES (306,'WebGUI','Svenska','Username Binding'); 
INSERT INTO international VALUES (307,'WebGUI','Svenska','Anvnd den vanliga meta tagen?'); 
INSERT INTO international VALUES (308,'WebGUI','Svenska','Redigera profilinstllningar'); 
INSERT INTO international VALUES (309,'WebGUI','Svenska','Tillt riktigt namn?'); 
INSERT INTO international VALUES (310,'WebGUI','Svenska','Tillt extra kontaktinformation?'); 
INSERT INTO international VALUES (311,'WebGUI','Svenska','Tillt heminformation?'); 
INSERT INTO international VALUES (312,'WebGUI','Svenska','Tillt fretagsinformation?'); 
INSERT INTO international VALUES (313,'WebGUI','Svenska','Tillt extra informaiton?'); 
INSERT INTO international VALUES (314,'WebGUI','Svenska','Frnamn'); 
INSERT INTO international VALUES (315,'WebGUI','Svenska','Mellannamn'); 
INSERT INTO international VALUES (316,'WebGUI','Svenska','Efternamn'); 
INSERT INTO international VALUES (317,'WebGUI','Svenska','&lt;a href=unknown://\"http://www.icq.com\" TARGET="_blank"&gt;ICQ&lt;/a&gt; UIN'); 
INSERT INTO international VALUES (318,'WebGUI','Svenska','&lt;a href=unknown://\"http://www.aol.com/aim/homenew.adp\" TARGET="_blank"&gt;AIM&lt;/a&gt; Id'); 
INSERT INTO international VALUES (319,'WebGUI','Svenska','&lt;a href=unknown://\"http://messenger.msn.com/\" TARGET="_blank"&gt;MSN Messenger&lt;/a&gt; Id'); 
INSERT INTO international VALUES (320,'WebGUI','Svenska','&lt;a href=unknown://\"http://messenger.yahoo.com/\" TARGET="_blank"&gt;Yahoo! Messenger&lt;/a&gt; Id'); 
INSERT INTO international VALUES (321,'WebGUI','Svenska','Mobil nummer'); 
INSERT INTO international VALUES (322,'WebGUI','Svenska','Personskare'); 
INSERT INTO international VALUES (323,'WebGUI','Svenska','Hem adress'); 
INSERT INTO international VALUES (324,'WebGUI','Svenska','Hem stad'); 
INSERT INTO international VALUES (325,'WebGUI','Svenska','Hem ln'); 
INSERT INTO international VALUES (326,'WebGUI','Svenska','Hem postnummer'); 
INSERT INTO international VALUES (327,'WebGUI','Svenska','Hem land'); 
INSERT INTO international VALUES (328,'WebGUI','Svenska','Hem telefon'); 
INSERT INTO international VALUES (329,'WebGUI','Svenska','Arbets adress'); 
INSERT INTO international VALUES (330,'WebGUI','Svenska','Arbets stad'); 
INSERT INTO international VALUES (331,'WebGUI','Svenska','Arbets ln'); 
INSERT INTO international VALUES (332,'WebGUI','Svenska','Arbets postnummer'); 
INSERT INTO international VALUES (333,'WebGUI','Svenska','Arbets land'); 
INSERT INTO international VALUES (334,'WebGUI','Svenska','Arbets telefon'); 
INSERT INTO international VALUES (335,'WebGUI','Svenska','Kn'); 
INSERT INTO international VALUES (336,'WebGUI','Svenska','Fdelsedatum'); 
INSERT INTO international VALUES (337,'WebGUI','Svenska','Hemside URL'); 
INSERT INTO international VALUES (338,'WebGUI','Svenska','Redigera profil'); 
INSERT INTO international VALUES (339,'WebGUI','Svenska','Man'); 
INSERT INTO international VALUES (340,'WebGUI','Svenska','Kvinna'); 
INSERT INTO international VALUES (341,'WebGUI','Svenska','Redigera profil.'); 
INSERT INTO international VALUES (342,'WebGUI','Svenska','Redigera kontoinformation.'); 
INSERT INTO international VALUES (343,'WebGUI','Svenska','Visa profil.'); 
INSERT INTO international VALUES (344,'WebGUI','Svenska','Visa medelande log.'); 
INSERT INTO international VALUES (345,'WebGUI','Svenska','Inte en medlem'); 
INSERT INTO international VALUES (346,'WebGUI','Svenska','Denna anvndare r inte lngre medlem p vr site. Vi har ingen vidare information om anvndaren.'); 
INSERT INTO international VALUES (347,'WebGUI','Svenska','Visa profilen fr'); 
INSERT INTO international VALUES (348,'WebGUI','Svenska','Namn'); 
INSERT INTO international VALUES (349,'WebGUI','Svenska','Senaste tillgngliga version'); 
INSERT INTO international VALUES (350,'WebGUI','Svenska','Avslutad'); 
INSERT INTO international VALUES (351,'WebGUI','Svenska','Medelandelog Post'); 
INSERT INTO international VALUES (352,'WebGUI','Svenska','Skapat datum'); 
INSERT INTO international VALUES (353,'WebGUI','Svenska','Du har inga nya logmedelanden just nu.'); 
INSERT INTO international VALUES (354,'WebGUI','Svenska','Visa medelande log.'); 
INSERT INTO international VALUES (355,'WebGUI','Svenska','Standard'); 
INSERT INTO international VALUES (356,'WebGUI','Svenska','Mall'); 
INSERT INTO international VALUES (357,'WebGUI','Svenska','Nyheter'); 
INSERT INTO international VALUES (358,'WebGUI','Svenska','Vnster kolumn'); 
INSERT INTO international VALUES (359,'WebGUI','Svenska','Hger kolumn'); 
INSERT INTO international VALUES (360,'WebGUI','Svenska','En ver tre'); 
INSERT INTO international VALUES (361,'WebGUI','Svenska','Tre ver en'); 
INSERT INTO international VALUES (362,'WebGUI','Svenska','SidaVidSida'); 
INSERT INTO international VALUES (363,'WebGUI','Svenska','Mall position'); 
INSERT INTO international VALUES (364,'WebGUI','Svenska','Sk'); 
INSERT INTO international VALUES (365,'WebGUI','Svenska','Skresultaten..'); 
INSERT INTO international VALUES (366,'WebGUI','Svenska','Inga sidor hittades som stmde med din frfrgan.'); 
INSERT INTO international VALUES (368,'WebGUI','Svenska','Lgg till en ny grupp till denna anvndare.'); 
INSERT INTO international VALUES (369,'WebGUI','Svenska','Bstfre datum'); 
INSERT INTO international VALUES (370,'WebGUI','Svenska','Redigera gruppering'); 
INSERT INTO international VALUES (371,'WebGUI','Svenska','Lgg till gruppering'); 
INSERT INTO international VALUES (372,'WebGUI','Svenska','Redigera Anvndares Grupper'); 
INSERT INTO international VALUES (373,'WebGUI','Svenska','&lt;b&gt;Varning:&lt;/b&gt; Genom att redigera listan ovan s kommer du att terstlla alla bstfre datum fr varje grupp till standard vrdet.'); 
INSERT INTO international VALUES (374,'WebGUI','Svenska','Hantera paket.'); 
INSERT INTO international VALUES (375,'WebGUI','Svenska','Vlj ett paket att anvnda'); 
INSERT INTO international VALUES (376,'WebGUI','Svenska','Paket'); 
INSERT INTO international VALUES (377,'WebGUI','Svenska','Inga paket har definierats av din packet hanterare eller administratr.'); 
INSERT INTO international VALUES (11,'Poll','Svenska','Rsta!'); 
INSERT INTO international VALUES (31,'UserSubmission','Svenska','Inehll'); 
INSERT INTO international VALUES (32,'UserSubmission','Svenska','Bild'); 
INSERT INTO international VALUES (33,'UserSubmission','Svenska','Bilag'); 
INSERT INTO international VALUES (34,'UserSubmission','Svenska','Konvertera radbrytningar'); 
INSERT INTO international VALUES (35,'UserSubmission','Svenska','Titel'); 
INSERT INTO international VALUES (36,'UserSubmission','Svenska','Radera fil.'); 
INSERT INTO international VALUES (378,'WebGUI','Svenska','Anvndar ID'); 
INSERT INTO international VALUES (379,'WebGUI','Svenska','Grupp ID'); 
INSERT INTO international VALUES (380,'WebGUI','Svenska','Stil ID'); 
INSERT INTO international VALUES (381,'WebGUI','Svenska','WebGUI fick in en felformulerad frfrgan och kunde inte fortstta. Oftast beror detta p ovanliga tecken som skickas frn ett formulr. Du kan frska med att g tillbaka och frska igen.'); 
INSERT INTO international VALUES (1,'DownloadManager','Svenska','Filhanterare'); 
INSERT INTO international VALUES (2,'DownloadManager','Svenska','Lgg till en Filhanterare'); 
INSERT INTO international VALUES (3,'DownloadManager','Svenska','Fortstt med att lgga till fil?'); 
INSERT INTO international VALUES (4,'DownloadManager','Svenska','Lggtill Nedladdning'); 
INSERT INTO international VALUES (5,'DownloadManager','Svenska','Fil Titel'); 
INSERT INTO international VALUES (6,'DownloadManager','Svenska','Ladda ned fil'); 
INSERT INTO international VALUES (7,'DownloadManager','Svenska','Grupp fr nedladdning'); 
INSERT INTO international VALUES (8,'DownloadManager','Svenska','Kort Beskrivning'); 
INSERT INTO international VALUES (9,'DownloadManager','Svenska','Redigera Filhanterare'); 
INSERT INTO international VALUES (10,'DownloadManager','Svenska','Redigera Nedladdning'); 
INSERT INTO international VALUES (11,'DownloadManager','Svenska','Lgg till en ny nedladdning.'); 
INSERT INTO international VALUES (12,'DownloadManager','Svenska','r du sker p att du vill ta bort denna nedladdning?'); 
INSERT INTO international VALUES (13,'DownloadManager','Svenska','Radera'); 
INSERT INTO international VALUES (14,'DownloadManager','Svenska','Fil'); 
INSERT INTO international VALUES (15,'DownloadManager','Svenska','Beskrivning'); 
INSERT INTO international VALUES (16,'DownloadManager','Svenska','Uppladat den'); 
INSERT INTO international VALUES (15,'Article','Svenska','Hger'); 
INSERT INTO international VALUES (16,'Article','Svenska','Vnster'); 
INSERT INTO international VALUES (17,'Article','Svenska','Centrera'); 
INSERT INTO international VALUES (37,'UserSubmission','Svenska','Radera'); 
INSERT INTO international VALUES (13,'SQLReport','Svenska','Konvertera radbrytning?'); 
INSERT INTO international VALUES (17,'DownloadManager','Svenska','Alternativ Version #1'); 
INSERT INTO international VALUES (18,'DownloadManager','Svenska','Alternativ Version #2'); 
INSERT INTO international VALUES (19,'DownloadManager','Svenska','Du har inga filer att ladda ned.'); 
INSERT INTO international VALUES (14,'EventsCalendar','Svenska','Start datum'); 
INSERT INTO international VALUES (15,'EventsCalendar','Svenska','Slut datum'); 
INSERT INTO international VALUES (20,'DownloadManager','Svenska','Sidbrytning efter'); 
INSERT INTO international VALUES (14,'SQLReport','Svenska','Sidbrytning efter'); 
INSERT INTO international VALUES (16,'EventsCalendar','Svenska','Kalender utseende'); 
INSERT INTO international VALUES (17,'EventsCalendar','Svenska','Lista'); 
INSERT INTO international VALUES (18,'EventsCalendar','Svenska','Kalender'); 
INSERT INTO international VALUES (19,'EventsCalendar','Svenska','Sidbrytning efter'); 
INSERT INTO international VALUES (382,'WebGUI','Svenska','Lgg till bild'); 
INSERT INTO international VALUES (383,'WebGUI','Svenska','Namn'); 
INSERT INTO international VALUES (384,'WebGUI','Svenska','Fil'); 
INSERT INTO international VALUES (385,'WebGUI','Svenska','Parametrar'); 
INSERT INTO international VALUES (386,'WebGUI','Svenska','Redigera Bild'); 
INSERT INTO international VALUES (387,'WebGUI','Svenska','Uppladat av'); 
INSERT INTO international VALUES (388,'WebGUI','Svenska','Uppladat den'); 
INSERT INTO international VALUES (389,'WebGUI','Svenska','Bild ID'); 
INSERT INTO international VALUES (390,'WebGUI','Svenska','Visar bild...'); 
INSERT INTO international VALUES (391,'WebGUI','Svenska','Radera'); 
INSERT INTO international VALUES (392,'WebGUI','Svenska','r du sker p att du vill radera denna bild?'); 
INSERT INTO international VALUES (393,'WebGUI','Svenska','Hantera Bilder'); 
INSERT INTO international VALUES (394,'WebGUI','Svenska','Hantera bilder.'); 
INSERT INTO international VALUES (395,'WebGUI','Svenska','Lgg till en ny bild.'); 
INSERT INTO international VALUES (396,'WebGUI','Svenska','Visa bild'); 
INSERT INTO international VALUES (397,'WebGUI','Svenska','Tillbaka till bildlistan.'); 
INSERT INTO international VALUES (398,'WebGUI','Svenska','Dokument Typ Deklaration'); 
INSERT INTO international VALUES (399,'WebGUI','Svenska','Validera denna sida.'); 
INSERT INTO international VALUES (400,'WebGUI','Svenska','Blokera Proxy Caching'); 
INSERT INTO international VALUES (401,'WebGUI','Svenska','r du sker p att du vill radera medelandet och alla undermedelanden i denna trd?'); 
INSERT INTO international VALUES (21,'MessageBoard','Svenska','Vem kan moderera?'); 
INSERT INTO international VALUES (22,'MessageBoard','Svenska','Radera Medelandet'); 
INSERT INTO international VALUES (402,'WebGUI','Svenska','Medelandet du frgade efter existerar inte.'); 
INSERT INTO international VALUES (403,'WebGUI','Svenska','Fredrar att inte sga.'); 
INSERT INTO international VALUES (405,'WebGUI','Svenska','Sista sidan'); 
INSERT INTO international VALUES (407,'WebGUI','Svenska','Klicka hr fr att registrera.'); 
INSERT INTO international VALUES (15,'SQLReport','Svenska','Frbearbeta macron vid frfrgan?'); 
INSERT INTO international VALUES (16,'SQLReport','Svenska','Debug?'); 
INSERT INTO international VALUES (17,'SQLReport','Svenska','&lt;b&gt;Debug:&lt;/b&gt; Frfrgan(query):'); 
INSERT INTO international VALUES (18,'SQLReport','Svenska','Det fanns inga resultat fr denna frfrgan.'); 
INSERT INTO international VALUES (408,'WebGUI','Svenska','Hantera bassidor(Roots)'); 
INSERT INTO international VALUES (409,'WebGUI','Svenska','Lgg till en ny bassida.'); 
INSERT INTO international VALUES (410,'WebGUI','Svenska','Hantera bassidor.'); 
INSERT INTO international VALUES (411,'WebGUI','Svenska','Huvud titel'); 
INSERT INTO international VALUES (412,'WebGUI','Svenska','Synopsis'); 
INSERT INTO international VALUES (9,'SiteMap','Svenska','Visa synopsis?'); 
INSERT INTO international VALUES (18,'Article','Svenska','Tillt diskusion'); 
INSERT INTO international VALUES (19,'Article','Svenska','Vem kan posta?'); 
INSERT INTO international VALUES (20,'Article','Svenska','Vem kan moderera?'); 
INSERT INTO international VALUES (21,'Article','Svenska','Redigera Timeout'); 
INSERT INTO international VALUES (22,'Article','Svenska','Frfattare'); 
INSERT INTO international VALUES (23,'Article','Svenska','Datum'); 
INSERT INTO international VALUES (24,'Article','Svenska','Skicka svar'); 
INSERT INTO international VALUES (25,'Article','Svenska','Redigera svar'); 
INSERT INTO international VALUES (26,'Article','Svenska','Radera svar'); 
INSERT INTO international VALUES (27,'Article','Svenska','Tillbaka till artikel'); 
INSERT INTO international VALUES (413,'WebGUI','Svenska','Vid kritiskta fel'); 
INSERT INTO international VALUES (28,'Article','Svenska','Visa svar'); 
INSERT INTO international VALUES (414,'WebGUI','Svenska','Visa debugg information.'); 
INSERT INTO international VALUES (415,'WebGUI','Svenska','Visa ett anvndarvnligt medelande.'); 
INSERT INTO international VALUES (416,'WebGUI','Svenska','&lt;h1&gt;Problem Med Frfrgan&lt;/h1&gt;\r\nVi har sttt p ett problem med din frfrgan. Var vnlig och g tillbaka och fsk igen. Om problemet kvarstr var vnlig och rapportera detta till oss med tid och datum samt vad du frskte gra.'); 
INSERT INTO international VALUES (417,'WebGUI','Svenska','&lt;h1&gt;Skerhets vertrdelse&lt;/h1&gt;\r\nDu frskte att komma t en widget som inte associeras med denna sida. Denna incident har rapporterats.'); 
INSERT INTO international VALUES (418,'WebGUI','Svenska','Ta bort inmatad HTML'); 
INSERT INTO international VALUES (419,'WebGUI','Svenska','Ta bort alla taggar.'); 
INSERT INTO international VALUES (420,'WebGUI','Svenska','Lmna som den r.'); 
INSERT INTO international VALUES (421,'WebGUI','Svenska','Ta bort allt utom grundformateringen.'); 
INSERT INTO international VALUES (422,'WebGUI','Svenska','&lt;h1&gt;Inloggning misslyckades&lt;/h1&gt;\r\nInformationen du gav stmmer inte med kontot.'); 
INSERT INTO international VALUES (423,'WebGUI','Svenska','Visa aktiva sessioner.'); 
INSERT INTO international VALUES (424,'WebGUI','Svenska','Visa logginhistorik.'); 
INSERT INTO international VALUES (425,'WebGUI','Svenska','Aktiva sessioner'); 
INSERT INTO international VALUES (426,'WebGUI','Svenska','Inloggnings historik'); 
INSERT INTO international VALUES (427,'WebGUI','Svenska','Stilar'); 
INSERT INTO international VALUES (428,'WebGUI','Svenska','Anvndar (ID)'); 
INSERT INTO international VALUES (429,'WebGUI','Svenska','Inloggnings tid'); 
INSERT INTO international VALUES (430,'WebGUI','Svenska','Senaste sida visad'); 
INSERT INTO international VALUES (431,'WebGUI','Svenska','IP Adress'); 
INSERT INTO international VALUES (432,'WebGUI','Svenska','Bst fre'); 
INSERT INTO international VALUES (433,'WebGUI','Svenska','Anvndar Klient (Browser)'); 
INSERT INTO international VALUES (434,'WebGUI','Svenska','Status'); 
INSERT INTO international VALUES (435,'WebGUI','Svenska','Sessions signatur'); 
INSERT INTO international VALUES (436,'WebGUI','Svenska','Avsluta session'); 
INSERT INTO international VALUES (437,'WebGUI','Svenska','Statistik'); 
INSERT INTO international VALUES (438,'WebGUI','Svenska','Ditt namn'); 
INSERT INTO international VALUES (439,'WebGUI','Svenska','Personlig Information'); 
INSERT INTO international VALUES (440,'WebGUI','Svenska','Kontakt Information'); 
INSERT INTO international VALUES (441,'WebGUI','Svenska','E-Mail till personskar-gateway'); 
INSERT INTO international VALUES (442,'WebGUI','Svenska','Arbets Information'); 
INSERT INTO international VALUES (443,'WebGUI','Svenska','Hem Information'); 
INSERT INTO international VALUES (444,'WebGUI','Svenska','Demografisk Information'); 
INSERT INTO international VALUES (445,'WebGUI','Svenska','Instllningar'); 
INSERT INTO international VALUES (446,'WebGUI','Svenska','Arbetets Website'); 
INSERT INTO international VALUES (447,'WebGUI','Svenska','Hantera sidtrd.'); 
INSERT INTO international VALUES (448,'WebGUI','Svenska','Sid trd'); 
INSERT INTO international VALUES (449,'WebGUI','Svenska','vrig information'); 
INSERT INTO international VALUES (450,'WebGUI','Svenska','Jobb Namn (Namn p fretaget)'); 
INSERT INTO international VALUES (451,'WebGUI','Svenska','r obligatoriskt.'); 
INSERT INTO international VALUES (452,'WebGUI','Svenska','Var god vnta...'); 
INSERT INTO international VALUES (453,'WebGUI','Svenska','Skapad den'); 
INSERT INTO international VALUES (454,'WebGUI','Svenska','Senast Uppdaterad'); 
INSERT INTO international VALUES (455,'WebGUI','Svenska','Redigera Anvndar Profil'); 
INSERT INTO international VALUES (456,'WebGUI','Svenska','Tillbaka till anvndarlistan.'); 
INSERT INTO international VALUES (457,'WebGUI','Svenska','Redigera denna anvndares konto.'); 
INSERT INTO international VALUES (458,'WebGUI','Svenska','Redigera denna anvndares grupper.'); 
INSERT INTO international VALUES (459,'WebGUI','Svenska','Redigera denna anvndares profil.'); 
INSERT INTO international VALUES (460,'WebGUI','Svenska','Tidsoffset'); 
INSERT INTO international VALUES (461,'WebGUI','Svenska','Datum Format'); 
INSERT INTO international VALUES (462,'WebGUI','Svenska','Tids Format'); 
INSERT INTO international VALUES (463,'WebGUI','Svenska','Text Flt Rader'); 
INSERT INTO international VALUES (464,'WebGUI','Svenska','Text Flt Kolumner'); 
INSERT INTO international VALUES (465,'WebGUI','Svenska','Text Box Storlek'); 
INSERT INTO international VALUES (466,'WebGUI','Svenska','r du sker p att du vill ta bort denna kategori och flytta alla dess attribut till vrigt kattegorin.'); 
INSERT INTO international VALUES (467,'WebGUI','Svenska','r du sker p att du vill ta bort detta attribut och all anvndar data som finns i det ?'); 
INSERT INTO international VALUES (468,'WebGUI','Svenska','Lggtill/Redigera Anvndar Profil Kattegorier'); 
INSERT INTO international VALUES (469,'WebGUI','Svenska','Id'); 
INSERT INTO international VALUES (470,'WebGUI','Svenska','Namn'); 
INSERT INTO international VALUES (471,'WebGUI','Svenska','Lggtill/Redigera Anvndar Profil Attribut'); 
INSERT INTO international VALUES (472,'WebGUI','Svenska','Mrke'); 
INSERT INTO international VALUES (473,'WebGUI','Svenska','Synligt?'); 
INSERT INTO international VALUES (474,'WebGUI','Svenska','Obligatoriskt?'); 
INSERT INTO international VALUES (475,'WebGUI','Svenska','Text'); 
INSERT INTO international VALUES (476,'WebGUI','Svenska','Text Omrde'); 
INSERT INTO international VALUES (477,'WebGUI','Svenska','HTML Omrde'); 
INSERT INTO international VALUES (478,'WebGUI','Svenska','URL'); 
INSERT INTO international VALUES (479,'WebGUI','Svenska','Datum'); 
INSERT INTO international VALUES (480,'WebGUI','Svenska','Email adress'); 
INSERT INTO international VALUES (481,'WebGUI','Svenska','Telefnnummer'); 
INSERT INTO international VALUES (482,'WebGUI','Svenska','Nummer (Heltal)'); 
INSERT INTO international VALUES (483,'WebGUI','Svenska','Ja eller Nej'); 
INSERT INTO international VALUES (484,'WebGUI','Svenska','Vallista'); 
INSERT INTO international VALUES (485,'WebGUI','Svenska','Boolean (Kryssbox)'); 
INSERT INTO international VALUES (486,'WebGUI','Svenska','Data typ'); 
INSERT INTO international VALUES (487,'WebGUI','Svenska','Mjliga vrden'); 
INSERT INTO international VALUES (488,'WebGUI','Svenska','Standar vrden'); 
INSERT INTO international VALUES (489,'WebGUI','Svenska','Profil kategorier.'); 
INSERT INTO international VALUES (490,'WebGUI','Svenska','Lgg till en profilkategori.'); 
INSERT INTO international VALUES (491,'WebGUI','Svenska','Lgg till profilattribut.'); 
INSERT INTO international VALUES (492,'WebGUI','Svenska','Profil attribut lista.'); 
INSERT INTO international VALUES (493,'WebGUI','Svenska','Tillbaka till siten.'); 

delete from help where helpId=18;
delete from help where helpId=19;
INSERT INTO help VALUES (18,'WebGUI','English','Using','Style Sheets','<a href=\"http://www.w3.org/Style/CSS/\">Cascading Style Sheets (CSS)</a> are a great way to manage the look and feel of any web site. They are used extensively in WebGUI.\r\n<p>\r\n\r\nIf you are unfamiliar with how to use CSS, <a href=\"http://www.plainblack.com\">Plain Black Software</a> provides training classes on XHTML and CSS. Alternatively, Bradsoft makes an excellent CSS editor called <a href=\"http://www.bradsoft.com/topstyle/index.asp\">Top Style</a>.\r\n<p>\r\n\r\nThe following is a list of classes used to control the look of WebGUI:\r\n<p>\r\n\r\n<b>A</b><br>\r\nThe links throughout the style.\r\n<p>\r\n\r\n<b>BODY</b><br>\r\nThe default setup of all pages within a style.\r\n<p>\r\n\r\n<b>H1</b><br>\r\nThe headers on every page.\r\n<p>\r\n\r\n<b>.accountOptions</b><br>\r\nThe links that appear under the login and account update forms.\r\n<p>\r\n\r\n<b>.adminBar </b><br>\r\nThe bar that appears at the top of the page when you\'re in admin mode.\r\n<p>\r\n\r\n<b>.content</b><br>\r\nThe main content area on all pages of the style.\r\n<p>\r\n\r\n<b>.crumbTrail </b><br>\r\nThe crumb trail (if you\'re using that macro).\r\n<p>\r\n\r\n<b>.formDescription </b><br>\r\nThe tags on all forms next to the form elements. \r\n<p>\r\n\r\n<b>.formSubtext </b><br>\r\nThe tags below some form elements.\r\n<p>\r\n\r\n<b>.highlight </b><br>\r\nDenotes a highlighted item, such as which message you are viewing within a list.\r\n<p>\r\n\r\n<b>.homeLink</b><br>\r\nUsed by the my home (^H;) macro.\r\n<p>\r\n\r\n<b>.horizontalMenu </b><br>\r\nThe horizontal menu (if you use a horizontal menu macro).\r\n<p>\r\n\r\n<b>.loginBox</b><br>\r\nThe login box (^L;) macro.\r\n<p>\r\n\r\n<b>.makePrintableLink</b><br>\r\nUsed by the make printable (^r;) macro.\r\n<p>\r\n\r\n<b>.myAccountLink</b><br>\r\nUsed by the my account (^a;) macro.\r\n<p>\r\n\r\n<b>.pagination </b><br>\r\nThe Previous and Next links on pages with pagination.\r\n<p>\r\n\r\n<b>.synopsis_sub</b><br>\r\nUsed by the ^Synopsis; macro to display sub pages.\r\n<p>\r\n\r\n<b>.synopsis_summary </b><br>\r\nUsed by the ^Synopsis; macro to display the synopsis from the page.\r\n<p>\r\n\r\n<b>.synopsis_title</b><br>\r\nUsed by the ^Synopsis; macro to display the menu title of a page.\r\n<p>\r\n\r\n<b>.searchBox</b><br>\r\nUsed by the search (^?;) macro.\r\n<p>\r\n\r\n<b>.selectedMenuItem</b><br>\r\nUsed by the FlexMenu (^FlexMenu;) macro.\r\n<p>\r\n\r\n<b>.tableData </b><br>\r\nThe data rows on things like message boards and user contributions.\r\n<p>\r\n\r\n<b>.tableHeader </b><br>\r\nThe headings of columns on things like message boards and user contributions.\r\n<p>\r\n\r\n<b>.tableMenu </b><br>\r\nThe menu on things like message boards and user submissions.\r\n<p>\r\n\r\n<b>.verticalMenu </b><br>\r\nThe vertical menu (if you use a verticall menu macro).\r\n<p>\r\n\r\n<i><b>Note:</b></i> Some widgets have their own unique styles.\r\n\r\n','0');
INSERT INTO help VALUES (19,'WebGUI','English','Using','Macros','WebGUI macros are used to create dynamic content within otherwise static content. For instance, you may wish to show which user is logged in on every page, or you may wish to have a dynamically built menu or crumb trail. \r\n<p>\r\nMacros always begin with a carat (^) and follow with at least one other character and ended with w semicolon (;). Some macros can be extended/configured by taking the format of ^<i>x</i>(\"<b>config text</b>\");. The following is a description of all the macros in the WebGUI system.\r\n<p>\r\n<b>^a; or ^a(); - My Account Link</b><br>\r\nA link to your account information. In addition you can change the link text by creating a macro like this <b>^a(\"Account Info\");</b>. \r\n<p>\r\n<i>Note:</i> You can also use the special case ^a(linkonly); to return only the URL to the account page and nothing more.\r\n<p>\r\n<b>^C; or ^C(); - Crumb Trail</b><br>\r\nA dynamically generated crumb trail to the current page. You can optionally specify a delimeter to be used between page names by using ^C(::);. The default delimeter is &gt;.\r\n<p>\r\n<b>^c; - Company Name</b><br>\r\nThe name of your company specified in the settings by your Administrator.\r\n<p>\r\n<b>^D; or ^D(); - Date</b><br>\r\nThe current date and time.\r\n<p>\r\nYou can configure the date by using date formatting symbols. For instance, if you created a macro like this <b>^D(\"%c %D, %y\");</b> it would output <b>September 26, 2001</b>. The following are the available date formatting symbols:\r\n<table>\r\n<tr><td>%%</td><td>%</td></tr>\r\n<tr><td>%y</td><td>4 digit year</td></tr>\r\n<tr><td>%Y</td><td>2 digit year</td></tr>\r\n<tr><td>%m</td><td>2 digit month</td></tr>\r\n<tr><td>%M</td><td>variable digit month</td></tr>\r\n<tr><td>%c</td><td>month name</td></tr>\r\n<tr><td>%d</td><td>2 digit day of month</td></tr>\r\n<tr><td>%D</td><td>variable digit day of month</td></tr>\r\n<tr><td>%w</td><td>day of week name</td></tr>\r\n<tr><td>%h</td><td>2 digit base 12 hour</td></tr>\r\n<tr><td>%H</td><td>variable digit base 12 hour</td></tr>\r\n<tr><td>%j</td><td>2 digit base 24 hour</td></tr>\r\n<tr><td>%J</td><td>variable digit base 24 hour</td></tr>\r\n<tr><td>%p</td><td>lower case am/pm</td></tr>\r\n<tr><td>%P</td><td>upper case AM/PM</td></tr>\r\n</table>\r\n<p>\r\n<b>^e; - Company Email Address</b><br>\r\nThe email address for your company specified in the settings by your Administrator.\r\n<p>\r\n<b>^Execute();</b><br>\r\nAllows a content manager or administrator to execute an external program. Takes the format of <b>^Execute(\"/this/file.sh\");</b>.\r\n<p>\r\n<b>^FlexMenu;</b><br>\r\nThis menu macro creates a top-level menu that expands as the user selects each menu item.\r\n<p>\r\n<b>^FormParam();</b><br>\r\nThis macro is mainly used in generating dynamic queries in SQL Reports. Using this macro you can pull the value of any form field simply by specifing the name of the form field, like this: ^FormParam(\"phoneNumber\");\r\n<p>\r\n<b>^H; or ^H(); - Home Link</b><br>\r\nA link to the home page of this site.  In addition you can change the link text by creating a macro like this <b>^H(\"Go Home\");</b>.\r\n<p>\r\n<i>Note:</i> You can also use the special case ^H(linkonly); to return only the URL to the home page and nothing more.\r\n<p>\r\n<b>^I(); - Image Manager Image with Tag</b><br>\r\nThis macro returns an image tag with the parameters for an image defined in the image manager. Specify the name of the image using a tag like this <b>^I(\"imageName\")</b>;.\r\n<p>\r\n<b>^i(); - Image Manager Image Path</b><br>\r\nThis macro returns the path of an image uploaded using the Image Manager. Specify the name of the image using a tag like this <b>^i(\"imageName\");</b>.\r\n<p>\r\n<b>^Include();</b><br>\r\nAllows a content manager or administrator to include a file from the local filesystem. Takes the format of <b>^Include(\"/this/file.html\")</b>;\r\n<p>\r\n<b>^L; or ^L(); - Login</b><br>\r\nA small login form. You can also configure this macro. You can set the width of the login box like this ^L(20);. You can also set the message displayed after the user is logged in like this ^L(20,Hi ^a(^@;);. Click %here% if you wanna log out!)\r\n<p>\r\n<b>^M; or ^M(); - Current Menu (Vertical)</b><br>\r\nA vertical menu containing the sub-pages at the current level. In addition, you may configure this macro by specifying how many levels deep the menu should go. By default it will show only the first level. To go three levels deep create a macro like this <b>^M(3);</b>. If you set the macro to \"0\" it will track the entire site tree.\r\n<p>\r\n<b>^m; - Current Menu (Horizontal)</b><br>\r\nA horizontal menu containing the sub-pages at the current level. You can optionally specify a delimeter to be used between page names by using ^m(:--:);. The default delimeter is &middot;.\r\n<p>\r\n<b>^P; or ^P(); - Previous Menu (Vertical)</b><br>\r\nA vertical menu containing the sub-pages at the previous level. In addition, you may configure this macro by specifying how many levels deep the menu should go. By default it will show only the first level. To go three levels deep create a macro like this <b>^P(3);</b>. If you set the macro to \"0\" it will track the entire site tree.\r\n<p>\r\n<b>^p; - Previous Menu (Horizontal)</b><br>\r\nA horizontal menu containing the sub-pages at the previous level. You can optionally specify a delimeter to be used between page names by using ^p(:--:);. The default delimeter is &middot;.\r\n<p>\r\n<b>^PageTitle;</b><br>\r\nDisplays the title of the current page.\r\n<p>\r\n<b>^r; or ^r(); - Make Page Printable</b><br>\r\nCreates a link to remove the style from a page to make it printable.  In addition, you can change the link text by creating a macro like this <b>^r(\"Print Me!\");</b>.\r\n<p>\r\n<i>Note:</i> You can also use the special case ^r(linkonly); to return only the URL to the make printable page and nothing more.\r\n<p>\r\n<b>^S(); - Specific SubMenu (Vertical)</b><br>\r\nThis macro allows you to get the submenu of any page, starting with the page you specified. For instance, you could get the home page submenu by creating a macro that looks like this <b>^S(\"home\",0);</b>. The first value is the urlized title of the page and the second value is the depth you\'d like the menu to go. By default it will show only the first level. To go three levels deep create a macro like this <b>^S(\"home\",3);</b>.\r\n<p>\r\n<b>^s(); - Specific SubMenu (Horizontal)</b><br>\r\nThis macro allows you to get the submenu of any page, starting with the page you specified. For instance, you could get the home page submenu by creating a macro that looks like this <b>^s(\"home\");</b>. The value is the urlized title of the page.  You can optionally specify a delimeter to be used between page names by using ^s(\"home\",\":--:\");. The default delimeter is &middot;.\r\n<p>\r\n<b>^Synopsis; or ^Synopsis(); Menu</b><br>\r\nThis macro allows you to get the submenu of a page along with the synopsis of each link. You may specify an integer to specify how many levels deep to traverse the page tree.\r\n<p>\r\n<b>^T; or ^T(); - Top Level Menu (Vertical)</b><br>\r\nA vertical menu containing the main pages of the site (aka the sub-pages from the home page). In addition, you may configure this macro by specifying how many levels deep the menu should go. By default it will show only the first level. To go three levels deep create a macro like this <b>^T(3);</b>. If you set the macro to \"0\" it will track the entire site tree.\r\n<p>\r\n<b>^t; - Top Level Menu (Horizontal)</b><br>\r\nA vertical menu containing the main pages of the site (aka the sub-pages from the home page). You can optionally specify a delimeter to be used between page names by using ^t(:--:);. The default delimeter is &middot;.\r\n<p>\r\n<b>^Thumbnail();</b><br>\r\nReturns the URL of a thumbnail for an image from the image manager. Specify the name of the image like this <b>^Thumbnail(\"imageName\");</b>.\r\n<p>\r\n<b>^u; - Company URL</b><br>\r\nThe URL for your company specified in the settings by your Administrator.\r\n<p>\r\n<b>^/; - System URL</b><br>\r\nThe URL to the gateway script (including the domain for this site). This is often used within pages so that if your development server is on a domain different than your production server that your URLs will still worked when moved.\r\n<p>\r\n<b>^\\; - Page URL</b><br>\r\nThe URL to the current page (including the domain for this site). This is often used within pages so that if your development server is on a domain different than your production server that your URLs will still worked when moved.\r\n<p>\r\n<b>^@; - Username</b><br>\r\nThe username of the currently logged in user.\r\n<p>\r\n<b>^?; - Search</b><br>\r\nAdd a search box.\r\n<p>\r\n<b>^#; - User ID</b><br>\r\nThe user id of the currently logged in user.\r\n<p>\r\n<b>^*; or ^*(); - Random Number</b><br>\r\nA randomly generated number. This is often used on images (such as banner ads) that you want to ensure do not cache. In addition, you may configure this macro like this <b>^*(100);</b> to create a random number between 0 and 100.\r\n<p>\r\n<b>^-;,^0;,^1;,^2;,^3;, etc.</b><br>\r\nThese macros are reserved for widget-specific functions as in the SQL Report widget.\r\n','0');

